System.ServiceModel 4.0.0.0

The interface defines:

A set of open, close and abort methods for initiating state transitions:

Asynchronous versions of the open and close methods:

A set of events that provide notifications of state transitions:

A common property for inspecting the state of an object

Defines the contract for the basic state machine for all communication-oriented objects in the system, including channels, the channel managers, factories, listeners, and dispatchers, and service hosts.

- Method
  4.0.0.0
  System.Void

  This method indicates that any unfinished work should be ignored or ungracefully terminated before returning. The method can be used to cancel any outstanding operations, including outstanding calls to .

  To gracefully transition an from the state to the state call .

  Causes a communication object to transition immediately from its current state into the closed state.

- Method
  4.0.0.0
  System.IAsyncResult `` ``

  This method causes an to gracefully transition from any state, other than the state to the state. The method allows any unfinished work to be completed before returning. For example, finish sending any buffered messages).

  Begins an asynchronous operation to close a communication object.

  The that references the asynchronous close operation.

  The delegate that receives notification of the completion of the asynchronous close operation. An object, specified by the application, that contains state information associated with the asynchronous close operation.
- Method
  4.0.0.0
  System.IAsyncResult `` `` ``

  This method causes an to gracefully transition from any state, other than the state to the state with in a specified interval of time. The method allows any unfinished work to be completed before returning. For example, finish sending any buffered messages).

  Begins an asynchronous operation to close a communication object with a specified timeout.

  The that references the asynchronous close operation.

  The that specifies how long the send operation has to complete before timing out. The delegate that receives notification of the completion of the asynchronous close operation. An object, specified by the application, that contains state information associated with the asynchronous close operation.
- Method
  4.0.0.0
  System.IAsyncResult `` ``

  When an is instantiated, it begins in the state. In the state, the object can be configured (for example, properties can be set, or events can be registered), but it is not yet usable to send or receive messages. The method causes an to enter into the state where it remains until the open operation succeeds, the open operation times out or fails and the object becomes faulted, or the is aborted.

  In the state, the is usable (for example, messages can be received), but it is no longer configurable.

  Begins an asynchronous operation to open a communication object.

  The that references the asynchronous open operation.

  The delegate that receives notification of the completion of the asynchronous open operation. An object, specified by the application, that contains state information associated with the asynchronous open operation.
- Method
  4.0.0.0
  System.IAsyncResult `` `` ``

  When an is instantiated, it begins in the state. In the state, the object can be configured (for example, properties can be set, or events can be registered), but it is not yet usable to send or receive messages. The method causes an to enter into the state where it remains until the open operation succeeds, the open operation times out or fails and the object becomes faulted, or the is aborted.

  In the state, the is usable (for example, messages can be received), but it is no longer configurable.

  Begins an asynchronous operation to open a communication object within a specified interval of time.

  The that references the asynchronous open operation.

  The that specifies how long the send operation has to complete before timing out. The delegate that receives notification of the completion of the asynchronous open operation. An object, specified by the application, that contains state information associated with the asynchronous open operation.
- Method
  4.0.0.0
  System.Void

  This method causes an to gracefully transition from the state to the state. The method allows any unfinished work to be completed before returning. For example, finish sending any buffered messages).

  The enters the state and remains in it until the transition to the state is completed.

  returns once the state is reached.

  If the default close timeout elapses before the is able to close gracefully, the is aborted.

  If is called on an in the , , or state, the is aborted. If is called on an in the or state, the call returns immediately.

  There is also an asynchronous version of the close method that is initiated by calling and completed by calling .

  Causes a communication object to transition from its current state into the closed state.

- Method
  4.0.0.0
  System.Void ``

  This method causes an to gracefully transition from the state to the state within a specified interval of time. The method allows any unfinished work to be completed before returning. For example, finish sending any buffered messages).

  The enters the state and remains in it until the transition to the state is completed.

  returns once the state is reached.

  If the timeout elapses before the is able to gracefully close, the is aborted.

  If is called on an in the , , or state, the is aborted. If is called on an in the or state, the call returns immediately.

  There is also an asynchronous version of the close method that is initiated by calling and completed by calling .

  Causes a communication object to transition from its current state into the closed state.

  The that specifies how long the send operation has to complete before timing out.
- Event
  4.0.0.0
  System.EventHandler To be added.

  Occurs when the communication object completes its transition from the closing state into the closed state.

- Event
  4.0.0.0
  System.EventHandler

  This event occurs when the communication object first begins to transition from the state into the state, immediately after either the or method is invoked.

  Occurs when the communication object first enters the closing state.

- Method
  4.0.0.0
  System.Void `` To be added.

  Completes an asynchronous operation to close a communication object.

  The that is returned by a call to the method.
- Method
  4.0.0.0
  System.Void `` To be added.

  Completes an asynchronous operation to open a communication object.

  The that is returned by a call to the method.
- Event
  4.0.0.0
  System.EventHandler To be added.

  Occurs when the communication object first enters the faulted state.

- Method
  4.0.0.0
  System.Void

  When an is instantiated, it begins in the state. In the state, the object can be configured (for example, properties can be set, or events can be registered), but it is not yet usable to send or receive messages. The method causes an to enter into the state where it remains until the open operation succeeds, the open operation times out or fails and the object becomes faulted, or the is aborted.

  In the state, the is usable (for example, messages can be received), but it is no longer configurable.

  There is also an asynchronous version of the open method that is initiated by calling and completed by calling .

  Causes a communication object to transition from the created state into the opened state.

- Method
  4.0.0.0
  System.Void ``

  When an is instantiated, it begins in the state. In the state, the object can be configured (for example, properties can be set, or events can be registered), but it is not yet usable to send or receive messages. The method causes an to enter into the state where it remains until the open operation succeeds, the open operation times out or fails and the object becomes faulted, or the is aborted.

  In the state, the is usable (for example, messages can be received), but it is no longer configurable.

  There is also an asynchronous version of the open method that is initiated by calling and completed by calling .

  Causes a communication object to transition from the created state into the opened state within a specified interval of time.

  The that specifies how long the send operation has to complete before timing out.
- Event
  4.0.0.0
  System.EventHandler To be added.

  Occurs when the communication object completes its transition from the opening state into the opened state.

- Event
  4.0.0.0
  System.EventHandler

  This event occurs when the communication object first begins to transition from the state into the state, immediately after either the or method is invoked.

  Occurs when the communication object first enters the opening state.

- Property
  4.0.0.0
  System.ServiceModel.CommunicationState To be added.

  The main communication states available to an are:

  There are also transitory states that such an object can occupy when transitioning between the first three main states:

  This defines the states that are valid for all communication-oriented objects in the system, including channels, listeners, the channel and listener factories, and the class.

  Gets the current state of the communication-oriented object.